# This should be submitted to tainted as per our policy on game emulators

%define date 20170218

Name:           pcsxr
Version:        1.9.94
Release:        %mkrel 3.%{date}.1
Summary:        PCSX-Reloaded is a Sony PlayStation emulator
License:        GPLv2
Group:          Emulators
Url:            http://pcsxr.codeplex.com
# Snapshot from http://pcsxr.codeplex.com/SourceControl/latest
# Git repo: https://git01.codeplex.com/pcsxr
Source0:        %{name}-%{date}.tar.xz

BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(libcdio)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xtst)
BuildRequires:  pkgconfig(xv)
BuildRequires:  pkgconfig(zlib)

%description
PCSX-Reloaded is a forked version of the dead PCSX emulator, with a
nicer interface and several improvements to stability and
functionality.

PCSX-Reloaded uses the PSEMU plugin interface to provide most
functionality; without them, you will not be able to use it to play
games. PCSX-Reloaded provides a number of plugins to provide basic
functionality out of the box.

This package is in tainted as per Mageia's policy on emulators.

%prep
%setup -q -n %{name}-%{date}

%build
%cmake \
  -DBUILD_OPENGL=ON \
  -DBUILD_SIO1=ON

%make_build

%install
%make_install -C build

desktop-file-edit --add-category=Emulator \
    %{buildroot}%{_datadir}/applications/%{name}.desktop

# Handle this in %%files
rm -rf %{buildroot}%{_docdir}

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README doc/*.txt
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/48x48/apps/%{name}-icon.png
%{_libdir}/games/psemu
%{_mandir}/man1/%{name}.1*


%changelog
* Sat Jun 03 2017 akien <akien> 1.9.94-3.20170218.1.mga6
+ Revision: 1105888
- Snapshot 20170218, switch to CMake

* Sat Oct 29 2016 akien <akien> 1.9.94-2.20161022.1.mga6.tainted
+ Revision: 1063954
- New snapshot

* Sat Oct 01 2016 akien <akien> 1.9.94-1.20160809.1.mga6.tainted
+ Revision: 1057948
- Git snapshot from 20160809

* Sun Jan 10 2016 akien <akien> 1.9.94-0.r97809.1.mga6.tainted
+ Revision: 921057
- Devel snapshot r97809, upstream seems not to fancy stable releases anymore

* Thu Jul 16 2015 sander85 <sander85> 1.9.93-6.mga6.tainted
+ Revision: 854731
- Rebuild for new libcdio

* Sun Nov 09 2014 akien <akien> 1.9.93-5.mga5.tainted
+ Revision: 796146
- Enable libcdio support

* Wed Oct 15 2014 umeabot <umeabot> 1.9.93-4.mga5.tainted
+ Revision: 744401
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.9.93-3.mga5.tainted
+ Revision: 727549
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.9.93-2.mga5.tainted
+ Revision: 683376
- Mageia 5 Mass Rebuild

* Mon Mar 24 2014 akien <akien> 1.9.93-1.mga5.tainted
+ Revision: 607846
- New version 1.9.93
- Build OpenGL plugin
- Use %%find_lang
- imported package pcsxr

